> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mpcvault.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GetBatchPaymentDetails

> Get details and status of a batch payment.

Returns batch payment details by UUID, including status, recipient list, and associated signing requests. Use this endpoint to check progress or confirm completion.


## OpenAPI

````yaml /openapi.json POST /v1/getBatchPaymentDetails
openapi: 3.1.0
info:
  title: mpcvault.platform.v1
  version: 0.0.1
servers:
  - url: https://api.mpcvault.com
    description: MPCVault API Server
security:
  - ApiKeyAuth: []
tags:
  - name: mpcvault.platform.v1.PlatformAPI
paths:
  /v1/getBatchPaymentDetails:
    post:
      tags:
        - mpcvault.platform.v1.PlatformAPI
      summary: GetBatchPaymentDetails
      description: >-
        GetBatchPaymentDetails returns the details of a batch payment including
        the signing requests.
      operationId: mpcvault.platform.v1.PlatformAPI.GetBatchPaymentDetails
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/mpcvault.platform.v1.GetBatchPaymentDetailsRequest
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/mpcvault.platform.v1.GetBatchPaymentDetailsResponse
components:
  schemas:
    mpcvault.platform.v1.GetBatchPaymentDetailsRequest:
      type: object
      properties:
        uuid:
          type: string
          title: uuid
          description: |-
            required:true
            symbol_value:"9f5ee5fb-07f5-470c-a2ff-081e2d6d107a"
            comment:uuid is the unique identifier of the batch payment.
      additionalProperties: false
    mpcvault.platform.v1.GetBatchPaymentDetailsResponse:
      type: object
      properties:
        batchPayment:
          $ref: '#/components/schemas/mpcvault.platform.v1.BatchPayment'
        error:
          $ref: '#/components/schemas/mpcvault.platform.v1.Error'
      additionalProperties: false
    mpcvault.platform.v1.BatchPayment:
      type: object
      allOf:
        - properties:
            uuid:
              type: string
              title: uuid
              description: |-
                required:true
                symbol_value:"9f5ee5fb-07f5-470c-a2ff-081e2d6d107a"
                comment:uuid is the unique identifier of the batch payment.
            name:
              type: string
              title: name
              description: |-
                symbol_value:"name1"
                comment:name is the name of the batch payment.
            notes:
              type: string
              title: notes
              description: |-
                symbol_value:"notes test"
                comment:notes is the transaction notes for the batch payment.
            status:
              $ref: '#/components/schemas/mpcvault.platform.v1.BatchPayment.Status'
              description: |-
                required:true
                symbol_value:"0
                comment:status is the status of the batch payment.
            failedReason:
              type: string
              title: failed_reason
              description: >-
                symbol_value:"failed reason"

                comment:failed_reason is the reason why the batch payment
                failed, only set if status is STATUS_FAILED.
            creationTimestamp:
              type:
                - integer
                - string
              title: creation_timestamp
              format: int64
              description: >-
                required:true

                symbol_value:1744274467154

                comment:creation_timestamp is the timestamp when the batch
                payment was created.
            approvalSigningRequest:
              $ref: '#/components/schemas/mpcvault.platform.v1.SigningRequest'
              description: >-
                approval_signing_request is the signing request that approves
                the tokens to be sent if needed.
            sendSigningRequest:
              $ref: '#/components/schemas/mpcvault.platform.v1.SigningRequest'
              description: >-
                send_signing_request is the signing request that sends the batch
                payment.
        - oneOf:
            - type: object
              properties:
                btcBatchSendNative:
                  $ref: '#/components/schemas/mpcvault.platform.v1.BTCBatchSendNative'
              title: btc_batch_send_native
              required:
                - btcBatchSendNative
            - type: object
              properties:
                evmBatchSendErc20:
                  $ref: '#/components/schemas/mpcvault.platform.v1.EVMBatchSendERC20'
              title: evm_batch_send_erc20
              required:
                - evmBatchSendErc20
            - type: object
              properties:
                evmBatchSendNative:
                  $ref: '#/components/schemas/mpcvault.platform.v1.EVMBatchSendNative'
              title: evm_batch_send_native
              required:
                - evmBatchSendNative
            - type: object
              properties:
                suiBatchSendCoin:
                  $ref: '#/components/schemas/mpcvault.platform.v1.SUIBatchSendCoin'
              title: sui_batch_send_coin
              required:
                - suiBatchSendCoin
            - type: object
              properties:
                suiBatchSendNative:
                  $ref: '#/components/schemas/mpcvault.platform.v1.SUIBatchSendNative'
              title: sui_batch_send_native
              required:
                - suiBatchSendNative
      additionalProperties: false
    mpcvault.platform.v1.Error:
      type: object
      allOf:
        - properties:
            message:
              type: string
              title: message
        - oneOf:
            - type: object
              properties:
                executeSigningRequestsErrorCode:
                  $ref: >-
                    #/components/schemas/mpcvault.platform.v1.ExecuteSigningRequestsErrorCode
              title: execute_signing_requests_error_code
              required:
                - executeSigningRequestsErrorCode
            - type: object
              properties:
                serviceErrorCode:
                  $ref: '#/components/schemas/mpcvault.platform.v1.ServiceErrorCode'
              title: service_error_code
              required:
                - serviceErrorCode
      additionalProperties: false
    mpcvault.platform.v1.BatchPayment.Status:
      type: string
      title: Status
      enum:
        - STATUS_UNSPECIFIED
        - STATUS_PENDING
        - STATUS_SUCCEEDED
        - STATUS_FAILED
    mpcvault.platform.v1.SigningRequest:
      type: object
      allOf:
        - properties:
            uuid:
              type: string
              title: uuid
              description: |-
                required:true
                symbol_value:"bb6f129f-bbe3-4d95-9f33-c32812e3e1c4"
                comment:uuid is the unique identifier of the signing request.
            status:
              $ref: '#/components/schemas/mpcvault.platform.v1.SigningRequest.Status'
              description: >-
                required:true

                symbol_value:"0

                comment:status is the status of the signing request.
                STATUS_SUCCEEDED only means that the signing request has been
                signed.it does not mean that the transaction itself is
                successful.
            failedReason:
              type: string
              title: failed_reason
              description: >-
                symbol_value:"failed reason"

                comment:failed_reason is the reason why the signing request
                failed, only set if status is STATUS_FAILED.
            txHash:
              type: string
              title: tx_hash
              description: >-
                required:true

                symbol_value:"3Eq21vXNB5s86c62bVuUfTerseghjkuUqRPBmGRJhyTA"

                comment:tx_hash is the hash of the transaction, only set if
                status is STATUS_SUCCEEDED.This does not mean that the
                transaction it self is successful. It only means that the
                signing request has been signed.
            creationTimestamp:
              type:
                - integer
                - string
              title: creation_timestamp
              format: int64
              description: >-
                symbol_value:1744274467154

                comment:creation_timestamp is the timestamp when the signing
                request was created.
            notes:
              $ref: '#/components/schemas/google.protobuf.StringValue'
              description: >-
                symbol_value:"send 1 eth to
                0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F    "

                comment:notes is the transaction notes for the signing request.
            vaultUuid:
              $ref: '#/components/schemas/google.protobuf.StringValue'
              description: >-
                required:true

                symbol_value:"9f5ee5fb-07f5-470c-a2ff-081e2d6d107a"

                comment:vault_uuid is the UUID of the vault that the signing
                request was created in.
            callbackClientSignerPublicKey:
              $ref: '#/components/schemas/google.protobuf.StringValue'
              description: >-
                symbol_value:"ssh-ed25519
                AAAAC3NzaC1lZDI1NTE5AAAAIL3OzFAKNGHsMtBpTemiAI3V1AxRs de g h j c
                m k i da g d k test"

                comment:callback_client_signer_public_key is the public key of
                the api client signer for callback. This field can be empty.
            simulation:
              type: string
              title: simulation
              format: byte
              description: >-
                symbol_value:"eyJtZXNzYWdlcyI6W3siYWRkcmVzcyI6IkVRRC1IR09CYlh4dzNQWWQ4SzM5TXN3SlZYN1lvb19oM1FTRWl1cFdFUXA2dWlOVSIsImFtb3VudCI6IjE5MDAwMDAwMCIsInBheWxvYWQiOiJ0ZTZjY2tFQkFnRUFwZ0FCckErS2ZxVUFBQUJUVVpIL0ZpQStpQUR2TzVrQ29uR3lvQnlKT0tVanorSk9jWVI2cnJhbUlBQWUxRXAzckE1d25RQWhCUlhOT04yMUFHa1NqN0hVaUJ5N0F2UHBwYmVialh2NWl0Z1h3VnpzSE1nTzVyS0JBUUNWSlpPRllZQUNLaGFqRmt4TldxTVRQekVRL3hCSmJnREtpc2lyNy94UUorQWswelNBdytZRWllc0FJUVVWelRqZHRRQnBFbyt4MUlnY3V3THo2YVczbTQxNytZcllGOEZjN0J6UUZKNjVtZz09In1dLCJ2YWxpZF91bnRpbCI6MTcyMjQ3NzQ3MDU4MiwiZnJvbSI6IjA6eDg0MTQ1NzM0RTM3NkQ0MDFBNDRBM0VDNzUyMjA3MkVDMEJDRkE2OTZERTZFMzVFRkU2MkI2MDVGMDU3M0IwNzMiLCJuZXR3b3JrIjoiLTIzOSJ9"

                comment:simulation is the transaction simulation for the signing
                request.
            evmInputDataDecode:
              $ref: '#/components/schemas/mpcvault.platform.v1.EVMInputDataDecode'
              description: >-
                evm_input_data_decode is the evm transaction input data decode
                for the signing request.
        - oneOf:
            - type: object
              properties:
                aptosMessage:
                  $ref: '#/components/schemas/mpcvault.platform.v1.AptosMessage'
              title: aptos_message
              required:
                - aptosMessage
            - type: object
              properties:
                aptosSendCoin:
                  $ref: '#/components/schemas/mpcvault.platform.v1.AptosSendCoin'
              title: aptos_send_coin
              required:
                - aptosSendCoin
            - type: object
              properties:
                aptosSendCustom:
                  $ref: '#/components/schemas/mpcvault.platform.v1.AptosSendCustom'
              title: aptos_send_custom
              required:
                - aptosSendCustom
            - type: object
              properties:
                aptosSendNative:
                  $ref: '#/components/schemas/mpcvault.platform.v1.AptosSendNative'
              title: aptos_send_native
              required:
                - aptosSendNative
            - type: object
              properties:
                btcSendNative:
                  $ref: '#/components/schemas/mpcvault.platform.v1.BTCSendNative'
              title: btc_send_native
              required:
                - btcSendNative
            - type: object
              properties:
                createWallet:
                  $ref: >-
                    #/components/schemas/mpcvault.platform.v1.CreateWalletRequest
              title: create_wallet
              required:
                - createWallet
            - type: object
              properties:
                evmMessage:
                  $ref: '#/components/schemas/mpcvault.platform.v1.EVMMessage'
              title: evm_message
              required:
                - evmMessage
            - type: object
              properties:
                evmSendCustom:
                  $ref: '#/components/schemas/mpcvault.platform.v1.EVMSendCustom'
              title: evm_send_custom
              required:
                - evmSendCustom
            - type: object
              properties:
                evmSendErc20:
                  $ref: '#/components/schemas/mpcvault.platform.v1.EVMSendERC20'
              title: evm_send_erc20
              required:
                - evmSendErc20
            - type: object
              properties:
                evmSendNative:
                  $ref: '#/components/schemas/mpcvault.platform.v1.EVMSendNative'
              title: evm_send_native
              required:
                - evmSendNative
            - type: object
              properties:
                rawMessage:
                  $ref: '#/components/schemas/mpcvault.platform.v1.RawMessage'
              title: raw_message
              required:
                - rawMessage
            - type: object
              properties:
                solanaMessage:
                  $ref: '#/components/schemas/mpcvault.platform.v1.SolanaMessage'
              title: solana_message
              required:
                - solanaMessage
            - type: object
              properties:
                solanaSendCustom:
                  $ref: '#/components/schemas/mpcvault.platform.v1.SolanaSendCustom'
              title: solana_send_custom
              required:
                - solanaSendCustom
            - type: object
              properties:
                solanaSendNative:
                  $ref: '#/components/schemas/mpcvault.platform.v1.SolanaSendNative'
              title: solana_send_native
              required:
                - solanaSendNative
            - type: object
              properties:
                solanaSendSplToken:
                  $ref: '#/components/schemas/mpcvault.platform.v1.SolanaSendSPLToken'
              title: solana_send_spl_token
              required:
                - solanaSendSplToken
            - type: object
              properties:
                sonicSvmSendCustom:
                  $ref: '#/components/schemas/mpcvault.platform.v1.SolanaSendCustom'
              title: sonic_svm_send_custom
              required:
                - sonicSvmSendCustom
            - type: object
              properties:
                sonicSvmSendNative:
                  $ref: '#/components/schemas/mpcvault.platform.v1.SolanaSendNative'
              title: sonic_svm_send_native
              required:
                - sonicSvmSendNative
            - type: object
              properties:
                sonicSvmSendSplToken:
                  $ref: '#/components/schemas/mpcvault.platform.v1.SolanaSendSPLToken'
              title: sonic_svm_send_spl_token
              required:
                - sonicSvmSendSplToken
            - type: object
              properties:
                stellarChangeTrust:
                  $ref: '#/components/schemas/mpcvault.platform.v1.StellarChangeTrust'
              title: stellar_change_trust
              required:
                - stellarChangeTrust
            - type: object
              properties:
                stellarSendAsset:
                  $ref: '#/components/schemas/mpcvault.platform.v1.StellarSendAsset'
              title: stellar_send_asset
              required:
                - stellarSendAsset
            - type: object
              properties:
                stellarSendCustom:
                  $ref: '#/components/schemas/mpcvault.platform.v1.StellarSendCustom'
              title: stellar_send_custom
              required:
                - stellarSendCustom
            - type: object
              properties:
                stellarSendNative:
                  $ref: '#/components/schemas/mpcvault.platform.v1.StellarSendNative'
              title: stellar_send_native
              required:
                - stellarSendNative
            - type: object
              properties:
                suiMessage:
                  $ref: '#/components/schemas/mpcvault.platform.v1.SuiMessage'
              title: sui_message
              required:
                - suiMessage
            - type: object
              properties:
                suiSendCoin:
                  $ref: '#/components/schemas/mpcvault.platform.v1.SuiSendCoin'
              title: sui_send_coin
              required:
                - suiSendCoin
            - type: object
              properties:
                suiSendCustom:
                  $ref: '#/components/schemas/mpcvault.platform.v1.SuiSendCustom'
              title: sui_send_custom
              required:
                - suiSendCustom
            - type: object
              properties:
                suiSendNative:
                  $ref: '#/components/schemas/mpcvault.platform.v1.SuiSendNative'
              title: sui_send_native
              required:
                - suiSendNative
            - type: object
              properties:
                tonMessage:
                  $ref: '#/components/schemas/mpcvault.platform.v1.TonMessage'
              title: ton_message
              required:
                - tonMessage
            - type: object
              properties:
                tonSendCustom:
                  $ref: '#/components/schemas/mpcvault.platform.v1.TonSendCustom'
              title: ton_send_custom
              required:
                - tonSendCustom
            - type: object
              properties:
                tonSendNative:
                  $ref: '#/components/schemas/mpcvault.platform.v1.TonSendNative'
              title: ton_send_native
              required:
                - tonSendNative
            - type: object
              properties:
                tonSendToken:
                  $ref: '#/components/schemas/mpcvault.platform.v1.TonSendToken'
              title: ton_send_token
              required:
                - tonSendToken
            - type: object
              properties:
                tronSendNative:
                  $ref: '#/components/schemas/mpcvault.platform.v1.TronSendNative'
              title: tron_send_native
              required:
                - tronSendNative
            - type: object
              properties:
                tronSendTrc10:
                  $ref: '#/components/schemas/mpcvault.platform.v1.TronSendTRC10'
              title: tron_send_trc10
              required:
                - tronSendTrc10
            - type: object
              properties:
                tronSendTrc20:
                  $ref: '#/components/schemas/mpcvault.platform.v1.TronSendTRC20'
              title: tron_send_trc20
              required:
                - tronSendTrc20
      additionalProperties: false
    mpcvault.platform.v1.BTCBatchSendNative:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            required:true

            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        recipients:
          type: array
          items:
            $ref: '#/components/schemas/mpcvault.platform.v1.BatchPaymentRecipient'
          title: recipients
          description: recipients is the list of recipients.
      additionalProperties: false
    mpcvault.platform.v1.EVMBatchSendERC20:
      type: object
      properties:
        chainId:
          type:
            - integer
            - string
          title: chain_id
          format: int64
          description: |-
            required:true
            symbol_value:137
            comment:chain_id is the chain id of the transaction.
        from:
          type: string
          title: from
          description: >-
            required:true

            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        tokenContractAddress:
          type: string
          title: token_contract_address
          description: >-
            required:true

            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:token_contract_address is the address of the ERC20 token
            contract.
        recipients:
          type: array
          items:
            $ref: '#/components/schemas/mpcvault.platform.v1.BatchPaymentRecipient'
          title: recipients
          description: recipients is the list of recipients.
      additionalProperties: false
    mpcvault.platform.v1.EVMBatchSendNative:
      type: object
      properties:
        chainId:
          type:
            - integer
            - string
          title: chain_id
          format: int64
          description: |-
            required:true
            symbol_value:137
            comment:chain_id is the chain id of the transaction.
        from:
          type: string
          title: from
          description: >-
            required:true

            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        recipients:
          type: array
          items:
            $ref: '#/components/schemas/mpcvault.platform.v1.BatchPaymentRecipient'
          title: recipients
          description: >-
            required:true

            symbol_value:"[{address: 0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F,
            amount: 0.001, notes: Monthly payroll}]"

            comment:recipients is the list of recipients.
      additionalProperties: false
    mpcvault.platform.v1.SUIBatchSendCoin:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            required:true

            symbol_value:"0xdAC17F958D2ee523a2206206994597C13D831ec7"

            comment:from is the sender wallet address. It has to be in this
            vault.
        coinTag:
          type: string
          title: coin_tag
          description: |-
            required:true
            symbol_value:"tx_hash:0a1b2c3d...789e, output_index:0"
            comment:coin_tag identifies the coin to be sent.
        recipients:
          type: array
          items:
            $ref: '#/components/schemas/mpcvault.platform.v1.BatchPaymentRecipient'
          title: recipients
      additionalProperties: false
    mpcvault.platform.v1.SUIBatchSendNative:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            required:true

            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        recipients:
          type: array
          items:
            $ref: '#/components/schemas/mpcvault.platform.v1.BatchPaymentRecipient'
          title: recipients
          description: recipients is the list of recipients.
      additionalProperties: false
    mpcvault.platform.v1.ExecuteSigningRequestsErrorCode:
      type: string
      title: ExecuteSigningRequestsErrorCode
      enum:
        - EXECUTE_SIGNING_REQUESTS_ERROR_CODE_UNSPECIFIED
        - EXECUTE_SIGNING_REQUESTS_ERROR_CODE_INSUFFICIENT_FUNDS
        - EXECUTE_SIGNING_REQUESTS_ERROR_CODE_ALREADY_DENIED
    mpcvault.platform.v1.ServiceErrorCode:
      type: string
      title: ServiceErrorCode
      enum:
        - SERVICE_ERROR_CODE_UNSPECIFIED
        - SERVICE_ERROR_CODE_ORG_SUBSCRIBED_PLAN_LIMIT_EXCEED
        - SERVICE_ERROR_CODE_ORG_SUBSCRIBED_PLAN_EXPIRED
        - SERVICE_ERROR_CODE_ORG_SUBSCRIBED_PLAN_NOT_SUPPORT
    mpcvault.platform.v1.SigningRequest.Status:
      type: string
      title: Status
      enum:
        - STATUS_UNSPECIFIED
        - STATUS_PENDING
        - STATUS_SUCCEEDED
        - STATUS_FAILED
    google.protobuf.StringValue:
      type: string
      description: |-
        Wrapper message for `string`.

         The JSON representation for `StringValue` is JSON string.

         Not recommended for use in new APIs, but still useful for legacy APIs and
         has no plan to be removed.
    mpcvault.platform.v1.EVMInputDataDecode:
      type: object
      properties:
        function:
          type: string
          title: function
          description: >-
            required:true

            symbol_value:"function_name(arg1_type arg1_value, arg2_type
            arg2_value, ...)"

            comment:function is the name of the function to be called.
        args:
          type: array
          items:
            $ref: >-
              #/components/schemas/mpcvault.platform.v1.EVMInputDataDecode.Argument
          title: args
          description: >-
            required:true

            symbol_value:"[{name: arg1_name, type: arg1_type, data: arg1_value},
            {name: arg2_name, type: arg2_type, data: arg2_value}]"

            comment:args is the list of arguments to be passed to the function.
      additionalProperties: false
    mpcvault.platform.v1.AptosMessage:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        type:
          $ref: '#/components/schemas/mpcvault.platform.v1.AptosMessage.Type'
          description: |-
            required:true
            symbol_value:"0
            comment:type is the type of the message.
        content:
          $ref: '#/components/schemas/mpcvault.platform.v1.AptosMessage.Message'
      additionalProperties: false
    mpcvault.platform.v1.AptosSendCoin:
      type: object
      properties:
        chainId:
          type:
            - integer
            - string
          title: chain_id
          format: int64
          description: >-
            symbol_value:"1"

            comment:Please use Chain ID 1 for Aptos Mainnet and 126 for Movement
            Mainnet. MPCVault does not currently support testnets.
        from:
          type: string
          title: from
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        to:
          type: string
          title: to
          description: |-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"
            comment:to is the address of the recipient.
        coinTag:
          type: string
          title: coin_tag
          description: |-
            symbol_value:"tx_hash:0a1b2c3d...789e, output_index:0"
            comment:coin_tag identifies the coin to be sent.
        amount:
          type: string
          title: amount
          description: >-
            symbol_value:"0.001"

            comment:amount is the amount of tokens to send. You should use whole
            integer representation. [amount * 10^decimals]
        gasFee:
          $ref: '#/components/schemas/mpcvault.platform.v1.AptosGas'
          description: specify the gas fee for the transaction.
      additionalProperties: false
    mpcvault.platform.v1.AptosSendCustom:
      type: object
      properties:
        chainId:
          type:
            - integer
            - string
          title: chain_id
          format: int64
          description: >-
            symbol_value:"1"

            comment:Please use Chain ID 1 for Aptos Mainnet and 126 for Movement
            Mainnet. MPCVault does not currently support testnets.
        from:
          type: string
          title: from
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        payload:
          type: string
          title: payload
          format: byte
          description: >-
            symbol_value:"{\"messages\": [{\"address\":
            \"UQBAjpKk4t1NL9HZZuMbhgaK9yUJzNMRa6Fr-AKG1tEKDgGK\", \"amount\":
            \"5000\", \"payload\":
            \"te6cckEBAQEAUwAAog+KfqUSXwBBdB1L+hCoAHZ/QNNYgmBOc062gEjrqpJ4HqNepc+KfFy1o9e/UZxpADiCWN/wfwjWoZ6Gh9G03ZZZ9CehXVEBqUrN6JM50dvXAOFtNv8=\"}],
            \"valid_until\": 1751843227000, \"from\":
            \"0:x84145734E376D401A44A3EC7522072EC0BCFA696DE6E35EFE62B605F0573B073\",
            \"network\": \"-239\"}"

            comment:payload can be JSON or the bcs-serialized bytes of the
            transaction.
        gasFee:
          $ref: '#/components/schemas/mpcvault.platform.v1.AptosGas'
          description: specify the gas fee for the transaction.
      additionalProperties: false
    mpcvault.platform.v1.AptosSendNative:
      type: object
      properties:
        chainId:
          type:
            - integer
            - string
          title: chain_id
          format: int64
          description: >-
            symbol_value:1

            comment:Please use Chain ID 1 for Aptos Mainnet and 126 for Movement
            Mainnet. MPCVault does not currently support testnets.
        from:
          type: string
          title: from
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        to:
          type: string
          title: to
          description: |-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"
            comment:to is the address of the recipient.
        value:
          type: string
          title: value
          description: >-
            symbol_value:"0.001"

            comment:value is the amount of the native token to send, denominated
            in octa.
        gasFee:
          $ref: '#/components/schemas/mpcvault.platform.v1.AptosGas'
          description: specify the gas fee for the transaction.
      additionalProperties: false
    mpcvault.platform.v1.BTCSendNative:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        to:
          type: string
          title: to
          description: |-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"
            comment:to is the address of the recipient.
        amount:
          type: string
          title: amount
          description: >-
            symbol_value:"1000000000000000"

            comment:amount is the amount of the native token to send,
            denominated in satoshi.
        networkFee:
          type:
            - integer
            - string
          title: network_fee
          format: int64
          description: >-
            symbol_value:1

            comment:network_fee is the network fee that the user is willing to
            pay, denominated in sat/b.
      additionalProperties: false
    mpcvault.platform.v1.CreateWalletRequest:
      type: object
      properties:
        vaultUuid:
          type: string
          title: vault_uuid
          description: >-
            required:true

            symbol_value:"12789f5ee5fb-07f5-470c-a2ff-081e2d6d107a"

            comment:vault_uuid is the UUID of the vault that the wallet will be
            created in.You can find it in the settings page of your vault on the
            web.
        callbackClientSignerPublicKey:
          type: string
          title: callback_client_signer_public_key
          description: >-
            symbol_value:"ssh-ed25519
            AAAAC3NzaC1lZDI1NTE5AAAAIL3OzFAKNGHsMtBpTemiAI3V1AxRsdeghjcmkidagdk
            test"

            comment:callback_client_signer_public_key is the public key of the
            api client signer. It is used to identify the where we should send
            the callback to.
        networkType:
          $ref: '#/components/schemas/mpcvault.platform.v1.NetworkType'
          description: |-
            required:true
            symbol_value:"1"
            comment:network_type is the type of the network.
        ref:
          type: string
          title: ref
          description: >-
            symbol_value:"0x4321567890abcdef4321567890abcdef123456"

            comment:ref is the customer reference field for the wallet. It has
            to be unique if not empty.max length is 500 characters.
        name:
          type: string
          title: name
          description: >-
            symbol_value:"test wallet"

            comment:name is the name for the wallet.  max length is 85
            characters.
      additionalProperties: false
    mpcvault.platform.v1.EVMMessage:
      type: object
      properties:
        chainId:
          type:
            - integer
            - string
          title: chain_id
          format: int64
          description: |-
            symbol_value:"137"
            comment:chain_id is the chain id of the network.
        from:
          type: string
          title: from
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the address of the sender. It has to be in this
            vault.
        type:
          $ref: '#/components/schemas/mpcvault.platform.v1.EVMMessage.Type'
          description: |-
            required:true
            symbol_value:"0
            comment:type is the type of the message.
        content:
          type: string
          title: content
          format: byte
          description: >-
            symbol_value:"eyJub25jIiLCAiZ2FzUHJpY2UiOiAiMHhDIiwgImdhc0xpbWl0IjogIjB4MTg2QTAiLCAidG8iOiAiMHg4ZkVERkQ5QkVkOTAxMEYxMTU3MGFDRjU1M2M4RjgzQ0I5NTQ4MzdjIiwgInZhbsICJkYXR"

            comment:content is the content of the message.
      additionalProperties: false
    mpcvault.platform.v1.EVMSendCustom:
      type: object
      properties:
        chainId:
          type:
            - integer
            - string
          title: chain_id
          format: int64
          description: |-
            symbol_value:"1"
            comment:chain_id is the chain id of the network.
        from:
          type: string
          title: from
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        to:
          type: string
          title: to
          description: |-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"
            comment:to is the address of the recipient.
        value:
          type: string
          title: value
          description: >-
            symbol_value:"1000000000000000"

            comment:value is the amount of the native token to send, denominated
            in wei.
        input:
          type: string
          title: input
          format: byte
          description: >-
            symbol_value:"AQAAAAAAAAAAAAAAAAAAAAAA$999999999999AAAAACAAQABA1kYs4/+LFCaNxckNNsERMcgSwr19dR72mxW6j8qJpGv87LKehWtuOxHGbCNbhMcl4yGWqGCnDXiSuHbqRK1X00AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAQICAAEMAgAAKCGAQAAAAAAAA=="

            comment:input is the input data of the transaction.
        gasFee:
          $ref: '#/components/schemas/mpcvault.platform.v1.EVMGas'
          description: when chain_id is a custom chain, this field is required.
        nonce:
          $ref: '#/components/schemas/google.protobuf.Int64Value'
          description: >-
            symbol_value:1

            comment:nonce is the nonce of the transaction. If this field is not
            set, we will use the next nonce of the sender.when chain_id is a
            custom chain, this field is required.
      additionalProperties: false
    mpcvault.platform.v1.EVMSendERC20:
      type: object
      properties:
        chainId:
          type:
            - integer
            - string
          title: chain_id
          format: int64
          description: |-
            symbol_value:137
            comment:chain_id is the chain id of the network.
        from:
          type: string
          title: from
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        to:
          type: string
          title: to
          description: |-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"
            comment:to is the address of the recipient.
        tokenContractAddress:
          type: string
          title: token_contract_address
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:token_contract_address is the address of the ERC20 token
            contract.
        amount:
          type: string
          title: amount
          description: >-
            symbol_value:"1000000000000000"

            comment:amount is the amount of tokens to send. You should use whole
            integer representation. [amount * 10^decimals],We will use the
            contract's decimals to convert the amount.
        gasFee:
          $ref: '#/components/schemas/mpcvault.platform.v1.EVMGas'
          description: when chain_id is a custom chain, this field is required.
        nonce:
          $ref: '#/components/schemas/google.protobuf.Int64Value'
          description: >-
            symbol_value:1

            comment:nonce is the nonce of the transaction. If this field is not
            set, we will use the next nonce of the sender.when chain_id is a
            custom chain, this field is required.
      additionalProperties: false
    mpcvault.platform.v1.EVMSendNative:
      type: object
      properties:
        chainId:
          type:
            - integer
            - string
          title: chain_id
          format: int64
          description: |-
            symbol_value:137
            comment:chain_id is the chain id of the network.
        from:
          type: string
          title: from
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        to:
          type: string
          title: to
          description: |-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"
            comment:to is the address of the recipient.
        value:
          type: string
          title: value
          description: >-
            symbol_value:"1000000000000000"

            comment:value is the amount of the native token to send, denominated
            in wei.
        gasFee:
          $ref: '#/components/schemas/mpcvault.platform.v1.EVMGas'
          description: when chain_id is a custom chain, this field is required.
        nonce:
          $ref: '#/components/schemas/google.protobuf.Int64Value'
          description: >-
            symbol_value:1

            comment:nonce is the nonce of the transaction. If this field is not
            set, we will use the next nonce of the sender.when chain_id is a
            custom chain, this field is required.
      additionalProperties: false
    mpcvault.platform.v1.RawMessage:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the wallet address of the key pair that we uses to
            sign the message. The wallet has to be in this vault.We will use the
            key's algorithm to sign the message.
        content:
          type: string
          title: content
          format: byte
          description: >-
            symbol_value:"eyJub25jIiLCAiZ2FzUHJpY2UiOiAiMHhDIiwgImdhc0xpbWl0IjogIjB4MTg2QTAiLCAidG8iOiAiMHg4ZkVERkQ5QkVkOTAxMEYxMTU3MGFDRjU1M2M4RjgzQ0I5NTQ4MzdjIiwgInZhbsICJkYXR"

            comment:content is the raw message content in bytes.
        ecdsaHashFunction:
          $ref: '#/components/schemas/mpcvault.platform.v1.ECDSAHashFunction'
          description: >-
            ecdsa_hash_function is the hash function to use for signing the
            message. Required if the key is ECDSA.This field will be ignored if
            the key is not ECDSA.
      additionalProperties: false
    mpcvault.platform.v1.SolanaMessage:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        type:
          $ref: '#/components/schemas/mpcvault.platform.v1.SolanaMessage.Type'
          description: |-
            required:true
            symbol_value:"0
            comment:type is the type of the message.
        content:
          type: string
          title: content
          format: byte
          description: >-
            symbol_value:"eyJub25jIiLCAiZ2FzUHJpY2UiOiAiMHhDIiwgImdhc0xpbWl0IjogIjB4MTg2QTAiLCAidG8iOiAiMHg4ZkVERkQ5QkVkOTAxMEYxMTU3MGFDRjU1M2M4RjgzQ0I5NTQ4MzdjIiwgInZhbsICJkYXR"

            comment:content is the content of the message.
      additionalProperties: false
    mpcvault.platform.v1.SolanaSendCustom:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            required:true

            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        txBase64:
          type: array
          items:
            type: string
          title: tx_base64
          description: >-
            required:true

            symbol_value:"AQAAAAAAAAAAAAAAAAAAAAAA$999999999999AAAAACAAQABA1kYs4/+LFCaNxckNNsERMcgSwr19dR72mxW6j8qJpGv87LKehWtuOxHGbCNbhMcl4yGWqGCnDXiSuHbqRK1X00AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAQICAAEMAgAAKCGAQAAAAAAAA=="

            comment:tx_base64 is the base64 encoded transaction.
        chainId:
          type:
            - integer
            - string
          title: chain_id
          format: int64
          description: >-
            symbol_value:101

            comment:please use 101 for solana mainnet and 0 for sonic svm
            mainnet. MPCVault does not support testnet at the moment.
      additionalProperties: false
    mpcvault.platform.v1.SolanaSendNative:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            required:true

            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        to:
          type: string
          title: to
          description: |-
            required:true
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"
            comment:to is the account address of the recipient.
        value:
          type: string
          title: value
          description: >-
            required:true

            symbol_value:"1000000000000000"

            comment:value is the amount of the native token to send, denominated
            in lamports.
        chainId:
          type:
            - integer
            - string
          title: chain_id
          format: int64
          description: >-
            symbol_value:"101"

            comment:please use 101 for solana mainnet and 0 for sonic svm
            mainnet. MPCVault does not support testnet at the moment.
      additionalProperties: false
    mpcvault.platform.v1.SolanaSendSPLToken:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            required:true

            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        to:
          type: string
          title: to
          description: |-
            required:true
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"
            comment:to is the account address of the recipient.
        mintAddress:
          type: string
          title: mint_address
          description: |-
            required:true
            symbol_value:"8y5pTbJpGrUZGFN4M6ACvMbfnhXRrohRnrwannj3Noj"
            comment:mint_address is the address of the token.
        amount:
          type: string
          title: amount
          description: >-
            required:true

            symbol_value:"1000000000000000"

            comment:amount is the amount of tokens to send. You should use whole
            integer representation. [amount * 10^decimals]
        chainId:
          type:
            - integer
            - string
          title: chain_id
          format: int64
          description: >-
            symbol_value:101

            comment:please use 101 for solana mainnet and 0 for sonic svm
            mainnet. MPCVault does not support testnet at the moment.
        decimals:
          $ref: '#/components/schemas/google.protobuf.Int64Value'
          description: |-
            symbol_value:6
            comment:decimals is the decimals of the token.
      additionalProperties: false
    mpcvault.platform.v1.StellarChangeTrust:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            required:true

            symbol_value:"GCUWYX3GVZSYBHORC4L7O6CKJX6U6N5GSU8AP44RX5VP4XRDIACTJO32"

            comment:from is the sender wallet address. It has to be in this
            vault.
        assetCode:
          type: string
          title: asset_code
          description: |-
            required:true
            symbol_value:"USDC"
            comment:asset_code is the code of the asset.
        assetIssuer:
          type: string
          title: asset_issuer
          description: >-
            required:true

            symbol_value:"GA5ZSEJYB37JRC5AVCIA5MOP4RHTM335X2KGX3IHOJAPP5RE34K4KZVN"

            comment:asset_issuer is the issuer of the asset.
        memo:
          type: string
          title: memo
          description: |-
            symbol_value:"stellar change trust"
            comment:max len is 28.
      additionalProperties: false
    mpcvault.platform.v1.StellarSendAsset:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            required:true

            symbol_value:"GCUWYX3GVZSYBHORC4L7O6CKJX6U6N5GSU8AP44RX5VP4XRDIACTJO32"

            comment:from is the sender wallet address. It has to be in this
            vault.
        to:
          type: string
          title: to
          description: >-
            required:true

            symbol_value:"GCUWYX3GVZSYBHORC4L7O6CKJX6U6N5GSU8AP44RX5VP4XRDIACTJO32"

            comment:to is the account address of the recipient.
        assetCode:
          type: string
          title: asset_code
          description: |-
            required:true
            symbol_value:"USDC"
            comment:asset_code is the code of the asset.
        assetIssuer:
          type: string
          title: asset_issuer
          description: >-
            required:true

            symbol_value:"GA5ZSEJYB37JRC5AVCIA5MOP4RHTM335X2KGX3IHOJAPP5RE34K4KZVN"

            comment:asset_issuer is the issuer of the asset.
        amount:
          type: string
          title: amount
          description: >-
            required:true

            symbol_value:"10.1"

            comment:amount is the amount of assets to send. You should use whole
            integer representation.
        memo:
          type: string
          title: memo
          description: |-
            symbol_value:"stellar send asset"
            comment:max len is 28.
      additionalProperties: false
    mpcvault.platform.v1.StellarSendCustom:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            required:true

            symbol_value:"GCUWYX3GVZSYBHORC4L7O6CKJX6U6N5GSU8AP44RX5VP4XRDIACTJO32"

            comment:from is the sender wallet address. It has to be in this
            vault.
        txBase64:
          type: string
          title: tx_base64
          description: >-
            required:true

            symbol_value:"AQAAAAAAAAAAAAAAAAAAAAAA$999999999999AAAAACAAQABA1kYs4/+LFCaNxckNNsERMcgSwr19dR72mxW6j8qJpGv87LKehWtuOxHGbCNbhMcl4yGWqGCnDXiSuHbqRK1X00AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAQICAAEMAgAAKCGAQAAAAAAAA=="

            comment:tx_base64 is the base64 encoded transaction.
      additionalProperties: false
    mpcvault.platform.v1.StellarSendNative:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            required:true

            symbol_value:"GCUWYX3GVZSYBHORC4L7O6CKJX6U6N5GSU8AP44RX5VP4XRDIACTJO32"

            comment:from is the sender wallet address. It has to be in this
            vault.
        to:
          type: string
          title: to
          description: >-
            required:true

            symbol_value:"GCUWYX3GVZSYBHORC4L7O6CKJX6U6N5GSU8AP44RX5VP4XRDIACTJO32"

            comment:to is the account address of the recipient.
        value:
          type: string
          title: value
          description: |-
            required:true
            symbol_value:"10.1"
            comment:value is the amount of the native asset to send.
        memo:
          type: string
          title: memo
          description: |-
            symbol_value:"stellar send native"
            comment:max len is 28.
      additionalProperties: false
    mpcvault.platform.v1.SuiMessage:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        type:
          $ref: '#/components/schemas/mpcvault.platform.v1.SuiMessage.Type'
          description: |-
            required:true
            symbol_value:"0
            comment:type is the type of the message.
        content:
          type: string
          title: content
          format: byte
          description: >-
            symbol_value:"eyJub25jIiLCAiZ2FzUHJpY2UiOiAiMHhDIiwgImdhc0xpbWl0IjogIjB4MTg2QTAiLCAidG8iOiAiMHg4ZkVERkQ5QkVkOTAxMEYxMTU3MGFDRjU1M2M4RjgzQ0I5NTQ4MzdjIiwgInZhbsICJkYXR"

            comment:content is the content of the message.
      additionalProperties: false
    mpcvault.platform.v1.SuiSendCoin:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            required:true

            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        to:
          type: string
          title: to
          description: |-
            required:true
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"
            comment:to is the address of the recipient.
        coinTag:
          type: string
          title: coin_tag
          description: |-
            required:true
            symbol_value:"tx_hash:0a1b2c3d...789e, output_index:0"
            comment:coin_tag identifies the coin to be sent.
        amount:
          type: string
          title: amount
          description: >-
            required:true

            symbol_value:"0.001"

            comment:amount is the amount of coins to send. You should use whole
            integer representation. [amount * 10^decimals]
        gasFee:
          $ref: '#/components/schemas/mpcvault.platform.v1.SuiGas'
          description: specify the gas fee for the transaction.
      additionalProperties: false
    mpcvault.platform.v1.SuiSendCustom:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            required:true

            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        payload:
          type: string
          title: payload
          format: byte
          description: >-
            required:true

            symbol_value:"{\"messages\": [{\"address\":
            \"UQBAjpKk4t1NL9HZZuMbhgaK9yUJzNMRa6Fr-AKG1tEKDgGK\", \"amount\":
            \"5000\", \"payload\":
            \"te6cckEBAQEAUwAAog+KfqUSXwBBdB1L+hCoAHZ/QNNYgmBOc062gEjrqpJ4HqNepc+KfFy1o9e/UZxpADiCWN/wfwjWoZ6Gh9G03ZZZ9CehXVEBqUrN6JM50dvXAOFtNv8=\"}],
            \"valid_until\": 1751843227000, \"from\":
            \"0:x84145734E376D401A44A3EC7522072EC0BCFA696DE6E35EFE62B605F0573B073\",
            \"network\": \"-239\"}"

            comment:payload can be JSON or the bcs-serialized bytes of the
            transaction.
      additionalProperties: false
    mpcvault.platform.v1.SuiSendNative:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        to:
          type: string
          title: to
          description: |-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"
            comment:to is the address of the recipient.
        value:
          type: string
          title: value
          description: >-
            symbol_value:"0.00"

            comment:value is the amount of the native token to send, denominated
            in mist.
        gasFee:
          $ref: '#/components/schemas/mpcvault.platform.v1.SuiGas'
          description: specify the gas fee for the transaction.
      additionalProperties: false
    mpcvault.platform.v1.TonMessage:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        type:
          $ref: '#/components/schemas/mpcvault.platform.v1.TonMessage.Type'
          description: |-
            required:true
            symbol_value:"0
            comment:type is the type of the message.
        content:
          type: string
          title: content
          format: byte
          description: >-
            symbol_value:"eyJub25jIiLCAiZ2FzUHJpY2UiOiAiMHhDIiwgImdhc0xpbWl0IjogIjB4MTg2QTAiLCAidG8iOiAiMHg4ZkVERkQ5QkVkOTAxMEYxMTU3MGFDRjU1M2M4RjgzQ0I5NTQ4MzdjIiwgInZhbsICJkYXR"

            comment:content is the content of the message.
      additionalProperties: false
    mpcvault.platform.v1.TonSendCustom:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            required:true

            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        payload:
          type: string
          title: payload
          format: byte
          description: >-
            required:true

            symbol_value:"{\"messages\": [{\"address\":
            \"UQBAjpKk4t1NL9HZZuMbhgaK9yUJzNMRa6Fr-AKG1tEKDgGK\", \"amount\":
            \"5000\", \"payload\":
            \"te6cckEBAQEAUwAAog+KfqUSXwBBdB1L+hCoAHZ/QNNYgmBOc062gEjrqpJ4HqNepc+KfFy1o9e/UZxpADiCWN/wfwjWoZ6Gh9G03ZZZ9CehXVEBqUrN6JM50dvXAOFtNv8=\"}],
            \"valid_until\": 1751843227000, \"from\":
            \"0:x84145734E376D401A44A3EC7522072EC0BCFA696DE6E35EFE62B605F0573B073\",
            \"network\": \"-239\"}"

            comment:payload can be JSON of the transaction. Same as ton-connect.
      additionalProperties: false
    mpcvault.platform.v1.TonSendNative:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            required:true

            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        to:
          type: string
          title: to
          description: |-
            required:true
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"
            comment:to is the address of the recipient.
        value:
          type: string
          title: value
          description: >-
            required:true

            symbol_value:"0.001"

            comment:value is the amount of the native token to send, denominated
            in nanos.
        comment:
          type: string
          title: comment
          description: |-
            symbol_value:"ton send native"comment
            comment:max len is 50.
      additionalProperties: false
    mpcvault.platform.v1.TonSendToken:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            required:true

            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        to:
          type: string
          title: to
          description: |-
            required:true
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"
            comment:to is the address of the recipient.
        mintAddress:
          type: string
          title: mint_address
          description: |-
            required:true
            symbol_value:"mrujEYaN1oyQXDHeYNxBYpxWKVkQ2XsGxfznpifu4aL"
            comment:mint_address is the address of the token.
        amount:
          type: string
          title: amount
          description: >-
            required:true

            symbol_value:"0.001"

            comment:amount is the amount of tokens to send. You should use whole
            integer representation. [amount * 10^decimals]
        comment:
          type: string
          title: comment
          description: |-
            required:true
            symbol_value:"ton send token comment"
            comment:max len is 50.
        decimals:
          $ref: '#/components/schemas/google.protobuf.Int64Value'
          description: |-
            symbol_value:6
            comment:decimals is the decimals of the token.
      additionalProperties: false
    mpcvault.platform.v1.TronSendNative:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        to:
          type: string
          title: to
          description: |-
            symbol_value:"0x71C7656EC7ab88b098defB751B7401B5f6d8976A"
            comment:to is the address of the recipient.
        value:
          type: string
          title: value
          description: >-
            symbol_value:"1000000000000000"

            comment:value is the amount of the native token to send, denominated
            in sun.
      additionalProperties: false
    mpcvault.platform.v1.TronSendTRC10:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        to:
          type: string
          title: to
          description: |-
            symbol_value:"0x71C7656EC7ab88b098defB751B7401B5f6d8976A"
            comment:to is the address of the recipient.
        assetName:
          type: string
          title: asset_name
          description: |-
            symbol_value:"ETH"
            comment:asset_name identifies the token to be sent.
        amount:
          type: string
          title: amount
          description: >-
            symbol_value:"0.001"

            comment:amount is the amount of tokens to send. You should use whole
            integer representation. [amount * 10^decimals]
      additionalProperties: false
    mpcvault.platform.v1.TronSendTRC20:
      type: object
      properties:
        from:
          type: string
          title: from
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:from is the sender wallet address. It has to be in this
            vault.
        to:
          type: string
          title: to
          description: |-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"
            comment:to is the address of the recipient.
        contractAddress:
          type: string
          title: contract_address
          description: |-
            symbol_value:"asset_name identifies the token to be sent."
            comment:contract_address is the address of the token.
        amount:
          type: string
          title: amount
          description: >-
            symbol_value:"0.001"

            comment:amount is the amount of tokens to send. You should use whole
            integer representation. [amount * 10^decimals]
        feeLimit:
          $ref: '#/components/schemas/google.protobuf.StringValue'
          description: >-
            symbol_value:"0.001"

            comment:fee_limit is the maximum fee that the user is willing to
            pay, denominated in sun.
      additionalProperties: false
    mpcvault.platform.v1.BatchPaymentRecipient:
      type: object
      properties:
        address:
          type: string
          title: address
          description: |-
            required:true
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"
            comment:address is the address of the recipient.
        amount:
          type: string
          title: amount
          description: >-
            required:true

            symbol_value:"0.001"

            comment:amount is the amount of the tokens to send.For native tokens
            such as ether/btc, the amount is denominated in wei/satoshi.For
            ERC20 tokens you should use whole integer representation. [amount *
            10^decimals],For bitcoin, the amount is denominated in satoshi.
        notes:
          $ref: '#/components/schemas/google.protobuf.StringValue'
          description: |-
            symbol_value:"Monthly payroll"
            comment:notes is a note for this entry in the batch payment.
      additionalProperties: false
    mpcvault.platform.v1.EVMInputDataDecode.Argument:
      type: object
      properties:
        name:
          type: string
          title: name
        type:
          type: string
          title: type
        data:
          type: string
          title: data
      additionalProperties: false
    mpcvault.platform.v1.AptosMessage.Type:
      type: string
      title: Type
      enum:
        - TYPE_UNSPECIFIED
        - TYPE_DEFAULT
    mpcvault.platform.v1.AptosMessage.Message:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/google.protobuf.StringValue'
          description: >-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"

            comment:address is the address of the sender. It has to be in this
            vault.
        application:
          $ref: '#/components/schemas/google.protobuf.StringValue'
          description: |-
            symbol_value:"application"
            comment:application is the application of the message.
        chainId:
          $ref: '#/components/schemas/google.protobuf.Int64Value'
          description: |-
            symbol_value:"137"
            comment:chain_id is the chain id of the network.
        message:
          type: string
          title: message
          description: |-
            symbol_value:"message"
            comment:message is the message of the message.
        nonce:
          type: string
          title: nonce
          description: |-
            symbol_value:"1"
            comment:nonce is the nonce of the message.
      additionalProperties: false
    mpcvault.platform.v1.AptosGas:
      type: object
      properties:
        maxGasAmount:
          $ref: '#/components/schemas/google.protobuf.StringValue'
          description: >-
            symbol_value:0.98

            comment:max_gas_amount is the maximum gas units that the transaction
            can use https://aptos.dev/concepts/gas-txn-fee/#unit-of-gas
        gasUnitPrice:
          $ref: '#/components/schemas/google.protobuf.StringValue'
          description: >-
            symbol_value:1.02

            comment:gas_unit_price is the price that the user is willing to pay,
            denominated in octa.
      additionalProperties: false
    mpcvault.platform.v1.NetworkType:
      type: string
      title: NetworkType
      enum:
        - NETWORK_TYPE_UNKNOWN
        - NETWORK_TYPE_EVM
        - NETWORK_TYPE_BITCOIN
        - NETWORK_TYPE_TRON
        - NETWORK_TYPE_APTOS
        - NETWORK_TYPE_SUI
        - NETWORK_TYPE_SOLANA
        - NETWORK_TYPE_TON
        - NETWORK_TYPE_STELLAR
    mpcvault.platform.v1.EVMMessage.Type:
      type: string
      title: Type
      enum:
        - TYPE_UNSPECIFIED
        - TYPE_PERSONAL_SIGN
        - TYPE_SIGN_TYPED_DATA
    mpcvault.platform.v1.EVMGas:
      type: object
      properties:
        maxFee:
          $ref: '#/components/schemas/google.protobuf.StringValue'
          description: >-
            symbol_value:"0.1"

            comment:max_fee is the maximum fee that the user is willing to pay,
            denominated in wei.
        maxPriorityFee:
          $ref: '#/components/schemas/google.protobuf.StringValue'
          description: >-
            symbol_value:"1500000000"

            comment:max_priority_fee is the maximum priority fee that the user
            is willing to pay for EIP-1559 transactions, denominated in
            wei.leave this field empty if you do not want to use EIP-1559.
        gasLimit:
          $ref: '#/components/schemas/google.protobuf.StringValue'
          description: >-
            symbol_value:"30000000000"

            comment:gas_limit is the maximum amount of gas that the tx is
            allowed to consume.
      additionalProperties: false
      description: EVMGas is the gas fee settings for an EVM transaction.
    google.protobuf.Int64Value:
      oneOf:
        - type: string
        - type: number
      description: |-
        Wrapper message for `int64`.

         The JSON representation for `Int64Value` is JSON string.

         Not recommended for use in new APIs, but still useful for legacy APIs and
         has no plan to be removed.
    mpcvault.platform.v1.ECDSAHashFunction:
      type: string
      title: ECDSAHashFunction
      enum:
        - ECDSA_HASH_FUNCTION_UNSPECIFIED
        - ECDSA_HASH_FUNCTION_USE_MESSAGE_DIRECTLY
        - ECDSA_HASH_FUNCTION_SHA256
    mpcvault.platform.v1.SolanaMessage.Type:
      type: string
      title: Type
      enum:
        - TYPE_UNSPECIFIED
        - TYPE_DEFAULT
    mpcvault.platform.v1.SuiMessage.Type:
      type: string
      title: Type
      enum:
        - TYPE_UNSPECIFIED
        - TYPE_DEFAULT
    mpcvault.platform.v1.SuiGas:
      type: object
      properties:
        budget:
          $ref: '#/components/schemas/google.protobuf.StringValue'
          description: >-
            symbol_value:"0.001"

            comment: budget is the maximum fee that the user is willing to pay,
            denominated in mist.
        price:
          $ref: '#/components/schemas/google.protobuf.StringValue'
          description: >-
            symbol_value:"1.032"

            comment:price is the price that the user is willing to pay,
            denominated in mist.
      additionalProperties: false
    mpcvault.platform.v1.TonMessage.Type:
      type: string
      title: Type
      enum:
        - TYPE_UNSPECIFIED
        - TYPE_DEFAULT
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-mtoken
      description: Your API token. Required for all API requests.

````